.onClickTextOverImage:hover {
    background-size: 110%;          /* slight zoom effect */
    background-repeat: no-repeat;   /* keep non-repeating on hover too */
    background-position: center;
    -webkit-transition: all 0.3s ease-in-out;
}

.onClickTextOverImage {
    background-size: cover;          /* fill the container */
    background-repeat: no-repeat;    /* stop tiling */
    background-position: center;     /* center the image */
    display: inline-block;
    height: 800px;
    padding: 40px 40px 65px;
    position: relative;
    width: 25%;
    transition: all 0.3s ease-in-out;
}
.onClickTextOverImage h3 {
  color: #fff;
}
.above-text {
  position: absolute;max-width: 200px;
  bottom: 70px;
}
.onClickTextOverImage .inner-text{
  background-color: #1e978a;
  bottom: 0;
  color: #fff;
  left: 0;
  opacity: 0;
  position: absolute;
  right: 0;
  text-align: left;
  bottom: 0;
  transition: 0.6s;
  visibility: hidden;
  height: 0;
}

.onClickTextOverImage.show .inner-text{
  opacity: 1;
  padding-top: 40%;
  visibility: visible;
  height: 800px;
  z-index: 1;
}

.four-col-img {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.inner-text-btn svg{
  width: 100%;    height: auto;    margin-bottom: -6px;
}

.inner-text pre {
  color: #fff;
  margin-bottom: 35px;
  border-top: 1px solid rgb(255 255 255 / 35%);
  padding-top: 15px;
}
.inner-text pre span {
  display: block;
  color: rgba(255, 255, 255, 0.50);
}

.inner-text-text {
  padding: 40px 30px 30px;
  position: absolute;width: 100%;
  top: 0;
}
.white-transy-btn {
  padding: 20px 30px 15px;
  margin-bottom: 35px;
}
.inner-text-btn {
  bottom: 0;
  position: absolute;
  width: 100%;
}
.onClickTextOverImage:hover .onhover-bkg {
  height: 20px;
}
.onhover-bkg {
  height: 0;
  position: absolute; 
  bottom: 0;
  background: #1E978A;
  width: 100%;
  left: 0;
  transition: 0.4s;
}
@media(max-width:1130px){
  .inner-text pre span {
    text-wrap: balance;
  }
  
  .onClickTextOverImage h3 {
    font-size: 22px;
  }
}
@media(max-width:991px){
  .inner-text-btn {
    display: none;
  }
  .inner-text-text h3 {
    font-size: 22px !important;
}
  .onClickTextOverImage h3 {
    font-size: 28px;word-spacing: inherit;
  }
  .above-text {
    max-width: 220px;
}
  .four-col-img {
    flex-wrap: wrap;

  }
  .onClickTextOverImage {
    width: 50%;
    height: 500px;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: bottom;
  }
  .onClickTextOverImage.show .inner-text {
    height: 500px;
  }
}
@media(max-width:640px){
  
  .white-transy-btn {
    margin-bottom: 10px;
  }
  .onClickTextOverImage {
    width: 100%;
  }
  .four-col-img {
    flex-direction: column;
  }
  .four-col-img__item {
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
}
  }
}